fop 1.1

## org.apache.fop.fo.expr
Class PropertyParser

    java.lang.Object
      org.apache.fop.fo.expr.PropertyParser

    public final class PropertyParser

extends java.lang.Object

Class to parse XSL-FO property expressions. This class is heavily based on the epxression parser in James Clark's XT, an XSLT processor.

Field Summary
`protected int` `currentToken`
`protected java.lang.String` `currentTokenValue`
`protected int` `currentUnitLength`

Method Summary
`static Property` `parse(java.lang.String expr, PropertyInfo propInfo)` Public entrypoint to the Property expression parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentToken

    protected int currentToken

### currentTokenValue

    protected java.lang.String currentTokenValue

### currentUnitLength

    protected int currentUnitLength

Method Detail

### parse

    public static Property parse(java.lang.String expr,
                                 PropertyInfo propInfo)
                          throws PropertyException

  Public entrypoint to the Property expression parser.

  Parameters:
    `expr` - The specified value (attribute on the xml element).
    `propInfo` - A PropertyInfo object representing the context in which the property expression is to be evaluated.
  Returns:
    A Property object holding the parsed result.
  Throws:
    `PropertyException` - If the "expr" cannot be parsed as a Property.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.